Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.sequencer.teiid
Class CndFromEcore.CndGraphReader

    java.lang.Object
      org.modeshape.sequencer.teiid.XmiGraphReader
          org.modeshape.sequencer.teiid.CndFromEcore.CndGraphReader

Enclosing class:
  CndFromEcore

    protected static class CndFromEcore.CndGraphReader

extends XmiGraphReader

Field Summary

Fields inherited from class org.modeshape.sequencer.teiid.XmiGraphReader
`booleanFactory, context, currentNamespaceUri, EDATATYPE_TO_JCR_TYPENAME, generateShortNames, inflector, nameFactory, namespaces, pathFactory, propertyFactory, stringFactory, subgraph, typeNameReplacements, uuidFactory, valueFactories`

Constructor Summary
`protected` | `CndFromEcore.CndGraphReader(Subgraph subgraph, boolean generateMixins, boolean generateShortNames)`

Method Summary
`protected void` | `writeTo(StringBuilder sb)`

Methods inherited from class org.modeshape.sequencer.teiid.XmiGraphReader
`firstValue, firstValue, firstValue, firstValue, firstValue, firstValue, firstValue, getCurrentNamespaceUri, jcrTypeNameFor, nameForHref, nameForResolvedId, nameForResolvedName, nameForResolvedReference, nameFrom, nameFrom, names, namespacePrefix, path, path, path, path, pathFrom, property, property, references, relativePathFrom, replaceTypeName, replaceTypeName, setCurrentNamespaceUri, shortenName, stringFrom, typeNameFrom, uuidFor, values, xmiUuidFor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CndFromEcore.CndGraphReader

    protected CndFromEcore.CndGraphReader(Subgraph subgraph,
                                          boolean generateMixins,
                                          boolean generateShortNames)

Method Detail

### writeTo

    protected void writeTo(StringBuilder sb)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.